## org.exist.xmldb.test.concurrent
Class DeadlockTest.WriterThread

    java.lang.Object
      java.lang.Thread
          org.exist.xmldb.test.concurrent.DeadlockTest.WriterThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  DeadlockTest

public static class DeadlockTest.WriterThread
extends java.lang.Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DeadlockTest.WriterThread(java.lang.String collectionURI, int resources)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeadlockTest.WriterThread

    public DeadlockTest.WriterThread(java.lang.String collectionURI,
                                     int resources)
                              throws java.lang.Exception

Method Detail

### run

    public void run()

Copyright (C) Wolfgang Meier. All rights reserved.